DROP FOREIGN TABLE(7)

NAME
DROP_FOREIGN_TABLE - remove a foreign table

SYNOPSIS

DROP FOREIGN TABLE [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP FOREIGN TABLE removes a foreign table. Only the owner of a foreign table can remove it.

PARAMETERS

IF EXISTS
    Do not throw an error if the foreign table does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of the foreign table to drop.

CASCADE
    Automatically drop objects that depend on the foreign table (such as views), and in turn all objects that depend on those objects (see Section 5.17).

RESTRICT
    Refuse to drop the foreign table if any objects depend on it. This is the default.

EXAMPLES

To destroy two foreign tables, films and distributors:

    DROP FOREIGN TABLE films, distributors;

COMPATIBILITY

This command conforms to ISO/IEC 9075-9 (SQL/MED), except that the standard only allows one foreign table to be dropped per command, and apart from the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
ALTER FOREIGN TABLE (ALTER_FOREIGN_TABLE(7)), CREATE FOREIGN TABLE (CREATE_FOREIGN_TABLE(7))